# Method: recall.lastTokenFromAllDeveloperGames

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#body.PATH_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#body.RetrieveDeveloperGamesLastPlayerTokenResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/recall/lastTokenFromAllDeveloperGames#try-it)

Retrieve the last Recall token from all developer games that is associated with the PGS Player encoded in the provided recall session id. The API is only available for users that have active PGS Player profile.

### HTTP request

`GET https://games.googleapis.com/games/v1/recall/developerGamesLastPlayerToken/{sessionId}`

### Path parameters

|                                                                             Parameters                                                                              ||
|-------------|--------------------------------------------------------------------------------------------------------------------------------------------------------|
| `sessionId` | `string` Required. Opaque server-generated string that encodes all the necessary information to identify the PGS player / Google user and application. |

### Request body

The request body must be empty.

### Response body

Recall token data returned from for the recall.lastTokenFromAllDeveloperGames RPC

If successful, the response body contains data with the following structure:

|                                                   JSON representation                                                    |
|--------------------------------------------------------------------------------------------------------------------------|
| ``` { "gamePlayerToken": { object (https://developer.android.com/games/services/web/api/rest/v1/GamePlayerToken) } } ``` |

|                                                                                                                                          Fields                                                                                                                                           ||
|-------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `gamePlayerToken` | `object (`[GamePlayerToken](https://developer.android.com/games/services/web/api/rest/v1/GamePlayerToken)`)` The recall token associated with the requested PGS Player principal. It can be unset if there is no recall token associated with the requested principal. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).